Bug 310981 - Avatars are not loaded sometimes
Summary: Avatars are not loaded sometimes
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: log-viewer (show other bugs)
Version: 0.5.1
Platform: unspecified Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-01 14:18 UTC by Daniel Vrátil
Modified: 2012-12-28 00:29 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.5.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Vrátil 2012-12-01 14:18:57 UTC
[15:05] <alin> dvratil_: and there is another issue I have seen... it does not load the pictures of the avatars...

There is a warning in console:
tp-qt 0.9.3.1 WARN: Trying to retrieve avatar from account, but avatar is not supported or was not requested. Use becomeReady(FeatureAvatar)  

Note to myself: can reproduce on @jabber.cz, but not on @gmail.com logs

Reproducible: Always
Comment 1 Daniel Vrátil 2012-12-28 00:29:16 UTC
Git commit d94622462bf659a45fdbc72e1d74cb088722aa05 by Dan Vrátil.
Committed on 28/12/2012 at 01:23.
Pushed by dvratil into branch 'kde-telepathy-0.5'.

Add FeatureAvatar to Account factory

Logviewer now correctly displays account avatars for all
accounts.
FIXED-IN: 0.5.3

M  +2    -1    logviewer/log-viewer.cpp

http://commits.kde.org/telepathy-text-ui/d94622462bf659a45fdbc72e1d74cb088722aa05